Bug 24019 - Patron batch modification based on borrowernumber
Summary: Patron batch modification based on borrowernumber
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-12 15:06 UTC by Sally
Modified: 2021-09-03 14:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
With this change the batch patron modification tool can now accept a file or list of borrowernumbers in addition to accepting cardnumbers or a patron list.
Version(s) released in:
21.11.00


Attachments
Bug 24019: Patron batch modification based on borrowernumber (16.72 KB, patch)
2021-05-19 11:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24019: Patron batch modification based on borrowernumber (16.77 KB, patch)
2021-07-09 15:10 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 24019: Patron batch modification based on borrowernumber (16.82 KB, patch)
2021-08-20 12:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sally 2019-11-12 15:06:27 UTC
It would be useful for librarians to be able to batch modify patrons based on a list of borrowernumbers instead of just lists of cardnumbers.
Comment 1 Owen Leonard 2021-05-19 11:14:41 UTC Comment hidden (obsolete)
Comment 2 sandboxes@biblibre.com 2021-07-09 15:10:41 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2021-08-20 12:42:44 UTC
Created attachment 123998 [details] [review]
Bug 24019: Patron batch modification based on borrowernumber

This patch adds batch patron modifications based on borrowernumber. The
user can choose to upload a file of borrowernumbers or submit a list of
borrowernumbers in a textarea, just like they can with card numbers.

To test, apply the patch and prepare files containing borrowernumbers
and card numbers. Patron lists should be enabled, and you should have at
least one patron list with patrons on it.

- Go to Tools -> Batch patron modification.
- You should see three tabs: "By card number," "By borrowernumber," and
  "By patron list."
- Test each option for batch patron modifications:
  - By card number file
  - By card number list
  - By borrowernumber file
  - By borrowernumber list
  - By patron list
- In each case the correct batch should be submitted, and modifications
  should finish correctly..
- There should be an "order of operations" for card numbers and
  borrowernumbers:
  - If a file is uploaded AND a list of numbers is entered, the list of
    numbers should be used.
- Batches should only get submitted from the active tab.
  - If you upload a file or enter card numbers in one tab and then
    switch to another tab and submit numbers from there, the original
    tab's batches should be ignored.

Signed-off-by: kelly mcelligott <kelly@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Tomás Cohen Arazi 2021-08-20 12:43:36 UTC
Nice and simple change. QA scripts happy and functionality makes sense and works as advertised.
Comment 5 Jonathan Druart 2021-08-30 15:11:35 UTC
Pushed to master for 21.11, thanks to everybody involved!